---
agentTools:
  projectIndex: https://apidocs.macrofab.com/llms.txt
---

# Update PCB Project

Update a PCB Project.

The PCB Name and Short strings are shared by all versions of a PCB project. Using this method,
you can update one or both of these strings for the PCB project using a single JSON object.
Fields you leave out are not changed.

To change a version's manufacturing specifications, use
`PUT /api/v2/pcb/{pcb_id}/{pcb_version}/version`.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "MacroFab API",
    "description": "MacroFab API\n\n**Authentication**\n\nAuthenticate every request by sending your API key in the `X-MacroFab-API-Key` header.\nRequests act as the user that generated the API key.\n\n**Responses**\n\nSend `Accept: application/json` with every request. Some endpoints return an empty response\nwithout it.\n\n**Versions**\n\nEndpoints are versioned in their path (`/api/v2/`, `/api/v3/`, `/api/v4/`, `/api/v5/`), and\ndifferent endpoints are at different versions. Use the version documented here for each\nendpoint.\n",
    "version": "1.1.0"
  },
  "servers": [
    {
      "url": "https://api.macrofab.com"
    }
  ],
  "paths": {
    "/api/v2/pcb/{pcb_id}": {
      "put": {
        "tags": [
          "PCB"
        ],
        "summary": "Update PCB Project",
        "description": "Update a PCB Project.\n\nThe PCB Name and Short strings are shared by all versions of a PCB project. Using this method,\nyou can update one or both of these strings for the PCB project using a single JSON object.\nFields you leave out are not changed.\n\nTo change a version's manufacturing specifications, use\n`PUT /api/v2/pcb/{pcb_id}/{pcb_version}/version`.\n",
        "requestBody": {
          "content": {
            "application/json": {
              "example": {
                "pcb": {
                  "name": "The new name of the PCB",
                  "short": "The new short description of the PCB"
                }
              },
              "schema": {
                "type": "object",
                "properties": {
                  "pcb": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string",
                        "maxLength": 64,
                        "description": "The new name of the PCB",
                        "example": "The new name of the PCB"
                      },
                      "short": {
                        "type": "string",
                        "maxLength": 128,
                        "description": "The new short description of the PCB",
                        "example": "The new short description of the PCB"
                      }
                    }
                  }
                }
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "The PCB was updated",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "pcb": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "description": "The PCB's ID"
                        },
                        "uri": {
                          "type": "string",
                          "description": "Path of the PCB in the MacroFab platform"
                        }
                      }
                    }
                  }
                },
                "example": {
                  "pcb": {
                    "id": "mdx0ce",
                    "uri": "/pcb/mdx0ce"
                  }
                }
              }
            }
          },
          "404": {
            "description": "The PCB does not exist, or you do not have access to it"
          }
        },
        "security": [
          {
            "apikeyHeader": []
          }
        ]
      },
      "parameters": [
        {
          "name": "pcb_id",
          "in": "path",
          "required": true,
          "description": "The PCB ID",
          "schema": {
            "type": "string",
            "example": "mdx0ce"
          }
        }
      ]
    }
  },
  "components": {
    "securitySchemes": {
      "apikeyHeader": {
        "type": "apiKey",
        "name": "X-MacroFab-API-Key",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 100,
      "1": 251,
      "2": 93,
      "3": 50,
      "4": 34,
      "5": 139,
      "6": 70,
      "7": 0,
      "8": 113,
      "9": 3,
      "10": 149,
      "11": 120
    }
  }
}
```